Returns the label again. Supports the same Accept header as the order label.
GET
/labels/custom/{reference}
curl \
--request GET 'api.services.omnicado.com/api/v2/labels/custom/ESHOP-2026-004211' \
--header "X-OMNICADO-TOKEN: $API_KEY"
Response examples (200)
{
"orderId": 1843311,
"reference": "ESHOP-2026-004211",
"carrier": "packeta",
"labelFormat": "pdf",
"trackingNumbers": [
"Z1234567890"
],
"trackingUrl": "https://tracking.packeta.com/cs/?id=Z1234567890",
"cancelled": false,
"label": {
"contentType": "application/pdf",
"content": "JVBERi0xLjQK..."
}
}
Response examples (404)
{
"error": "Carrier ppl is not installed on this account",
"code": "carrier_not_installed"
}
Response examples (409)
{
"error": "Carrier ppl is not installed on this account",
"code": "carrier_not_installed"
}